If you need to create isometric text and you are tired of using so many different styles, today’s tip will be your new best friend. Note that this routine only works with DTEXT (single line text).
Here’s how:
- ISOTEXT <enter>
- Select the DTEXT object
- Hit the Tab button to tab through the various isometric slants until you have found the correct one.
- Once the text looks correct, hit enter
- Re-position the text accordingly
~enjoy
;; Lee Mac ;; ONLY WORKS ON DTEXT ;; Found @ http://www.theswamp.org/index.php?topic=37429.0 (defun c:isotext ( / e i j k) (vl-load-com) ;(setq i (/ pi 6.) j -1.) (setq i 0 k (/ pi 6.) j -1.) ;; © Lee Mac 2011 (if (and (setq e (car (entsel "\nSelect Text: "))) (eq (vla-get-Objectname (setq e (vlax-ename->vla-object e))) "AcDbText") (princ "\nPress [Tab] to Change Projection <Accept>") ) (while (= 9 (cadr (grread nil 14 0))) ;(vla-put-rotation e i) (vla-put-rotation e (* k (1- (* 2 (setq i (rem (+ i (max 0 (setq j (- j)))) 3)))))) ;(vla-put-obliqueangle e (setq i (* i (setq j (- j))))) (vla-put-obliqueangle e (* j k)) ) ) (princ) )
Good…I like that, simple routine but very help especially for piping designer.
Thank you Greg.
is it possible to have the explode command run before the routine starts so that i could explode the Mtext first.
Text on isoplane works on multilinetext and single text
where i can get that lisp